![Fusion](https://github.com/blackbeared/fusion/blob/master/logo.png)

## Fusion By BlackBeared  [![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0) [![](https://jitpack.io/v/blackbeared/fusion.svg)](https://jitpack.io/#blackbeared/fusion)

_An Easy-to-use **Kotlin** based Customizable Library with Material Layouts_ by [@blackbeared](http://www.linkedin.com/er-sandip-savaliya).

![Fusion](https://github.com/blackbeared/fusion/blob/master/intro.gif)

## Features
* Custom Floating Action Buttons with Floating Action Menu
* Custom Fancy Dialog inspired by LovelyDialog and SweetAlerts.
* Custom fancy Shared dialog with 2 switchable views.
* Custom Diagonal layouts.
* Expandable Linear & Relative Layouts.
* Custom Toast inspired by Toasty.
* Custom Coordinator behavior Layout with Parallax ViewPager.
* Line Color Picker.
* ParallaxImageView.


## Gradle Dependency
Add this in your project level **build.gradle** file _(not your module build.gradle file)_:

```gradle
    allprojects {
	     repositories {
		    ..
		    maven { 
                    url "https://jitpack.io" 
                }
	     }
    }
```

Then, add the library to your module **build.gradle**

```gradle
    dependencies {
         ..
         implementation 'com.github.blackbeared:fusion:1.0.2'
    }
```

## Sample Usage
Here are different different samples to implement different modules.

* [Fully Custom Dialog Implementation](CUSTOM.md)
* [Shared | Switchable Dialog Implementation](SHARED_DIALOG.md)
* [Multiple Item Selector Implementation](CHOICE.md)
* [ColorPicker Implementation](COLORPICKER.md)
* [Custom Alert Dialog Implementation](ALERT_DIALOG.md)
* [Floating Actions Menu Implementation](FAB_MENU.md)
* [Custom Toasts Implementation](TOAST.md)


**Already in use in following apps**

- Medika

*(feel free to send me new projects)*


##  Contribute
You can contribute by opening a pull request to dev branch. Please try to push one feature in one commit for a clean commit history.


## Changelog
Version | Description
-----------|------------------
**v1.0.3** |  
06 February, 2018 |  1. Added **All Demonstrations of All Dialogs**. <br/>2. Added ParallaxImageView module.
**v1.0.2** |  
23 November, 2017 |  1. Added **AwesomeSwitchableDialog** with supporting two custom views. <br/>2. Added functionality of Diagonal Views.
**v1.0.1** |  
 22 November, 2017 | 1. Added functionality of custom Toasts.  <br/>2. Added Few Reusable Animations. <br/>3. Added Custom AlertDialogs Support.
**v1.0.0** |  
20 November, 2017 | 1. Initial Commit. <br/>2. Added basic Utilities with Logger support.


## Vote of Thanks


* Thank you for all the cotributors contributes to this project.
* Thank you Github for giving us an Opportunity to Share our ideas.
* Thank you google for Android platform.

## Donations

This project needs you! If you would like to support this project's further development, the creator of this project or the continuous maintenance of this project, feel free to donate. Your donation is highly appreciated (and I love food, coffee and beer). Thank you!

## PayPal

    Donate $5: Thank's for creating this project, here's a coffee (or some beer) for you!
    Donate $10: Wow, I am stunned. Let me take you to the movies!
    Donate $15: I really appreciate your work, let's grab some lunch!
    Donate $25: That's some awesome stuff you did right there, dinner is on me!
    Donate $50: I really really want to support this project, great job!
    Donate $100: You are the man! This project saved me hours (if not days) of struggle and hard work, simply awesome!
    Donate $2799: Go buddy, buy Macbook Pro for yourself! Of course, you can also choose what you want to donate, all donations are awesome!

## Connect With Me

Sandip Savaliya (blackbeared) I love making new friends, please feel free to connect with me.
Connect me on Google+ Connect me on Facebook Connect me on LinkedIn
Question / Contact Me / Hire Me

Please feel free to ping me at sandipsavaliya112@gmail.com. Expected package would be 6 lpa.



## License
    Copyright (c) 2017 Sandip Savaliya

          This program is free software: you can redistribute it and/or modify it under the terms of the GNU 
	  General Public License as published by Free Software Foundation, either version 3 of the License, 
	  or (at your option) any later version. 
          This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
	  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    
          See the GNU General Public License for more details. You should have received a copy of the GNU 
	  General Public License along with this program. If not, see http://www.gnu.org/licenses/.

